Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree

## Class TreeContentMergeViewer.ExpandCollapseListener

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.TreeContentMergeViewer.ExpandCollapseListener

All Implemented Interfaces:
  `org.eclipse.swt.widgets.Listener`

Enclosing class:
  TreeContentMergeViewer

    protected final class TreeContentMergeViewer.ExpandCollapseListener
    extends Object
    implements org.eclipse.swt.widgets.Listener

### Constructor Summary

Constructors
`ExpandCollapseListener​(TreeMergeViewer mergeTreeViewer, boolean expanded)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleEvent​(org.eclipse.swt.widgets.Event e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpandCollapseListener

    public ExpandCollapseListener​(TreeMergeViewer mergeTreeViewer,
                                  boolean expanded)

Parameters:
  `mergeTreeViewer` -

### Method Detail

#### handleEvent

    public void handleEvent​(org.eclipse.swt.widgets.Event e)

Specified by:
  `handleEvent` in interface `org.eclipse.swt.widgets.Listener`